import { Metadata } from "next";
import { ZammadOverview } from "./_components/ZammadOverview";

const getSection = (overview: string) => {
  return overview.charAt(0).toUpperCase() + overview.slice(1);
};

type MetadataProps = {
  params: {
    overview: string;
  };
};

export async function generateMetadata({
  params: { overview },
}: MetadataProps): Promise<Metadata> {
  const section = getSection(overview);

  return {
    title: `Link - ${section} Tickets`,
  };
}

const overviews = {
  assigned: 1,
  unassigned: 2,
  pending: 3,
  urgent: 7,
};

type PageProps = {
  params: {
    overview: string;
  };
};

export default function Page({ params: { overview } }: PageProps) {
  const section = getSection(overview);

  return <ZammadOverview name={section} id={overviews[overview]} />;
}
